org.apache.cayenne.remote

## Interface RemoteService

- All Superinterfaces:
    Remote
  All Known Implementing Classes:
    BaseRemoteService, HessianService, HttpRemoteService, ProxyRemoteService, ServerHttpRemoteService

      public interface RemoteService
      extends Remote

  Interface of a Cayenne remote service.
  Since:
    1.2
  See Also:
    `ROPServlet`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Close remote service resources.
    `RemoteSession` | `establishSession()` Establishes a dedicated session with Cayenne DataChannel, returning session id.
    `RemoteSession` | `establishSharedSession(String name)` Creates a new session with the specified or joins an existing one.
    `Object` | `processMessage(ClientMessage message)` Processes message on a remote server, returning the result of such processing.

- - ### Method Detail

    - #### establishSession

          RemoteSession establishSession()
                                  throws RemoteException

      Establishes a dedicated session with Cayenne DataChannel, returning session id.
      Throws:
        `RemoteException`

    - #### establishSharedSession

          RemoteSession establishSharedSession(String name)
                                        throws RemoteException

      Creates a new session with the specified or joins an existing one. This method is used to bootstrap collaborating clients of a single "group chat".
      Throws:
        `RemoteException`

    - #### processMessage

          Object processMessage(ClientMessage message)
                         throws RemoteException,
                                Throwable

      Processes message on a remote server, returning the result of such processing.
      Throws:
        `RemoteException`
        `Throwable`

    - #### close

          void close()
              throws RemoteException

      Close remote service resources.
      Throws:
        `RemoteException`

Copyright © 2001–2023 Apache Cayenne. All rights reserved.